Skip to content

Get the department list of the role

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get the department list of the role through the role code in the permission group, supporting paging.

Method name

ManagementClient.listRoleDepartments

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
codestringyes-Unique identifier of the role in the permission groupmanager
namespacestringno-Code of the permission groupdefault
pagenumberno1Current page number, starting from 11
limitnumberno10Number of pages per page, maximum cannot exceed 50, default is 1010

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.listRoleDepartments({
    code: "manager",
    namespace: "default",
    page: 1,
    limit: 10,
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: RoleDepartmentListPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a RoleDepartmentListPagingDtodata

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "id": "60b49eb83fd80adb96f26e68",
      "code": "code",
      "name": "departmentName",
      "description": "dd8d7stf44"
    }
  }
}

Data structure

RoleDepartmentListPagingDto

NameTypeIs it required?DescriptionExample value
totalCountnumberyestotal number of records
listarrayyesdata Nested type: <a RoleDepartmentRespDto.

RoleDepartmentRespDto

NameTypeRequiredDescriptionSample value
idstringYesDepartment ID60b49eb83fd80adb96f26e68
codestringYesDepartment codecode
namestringYesDepartment namedepartmentName
descriptionstringYesDepartment descriptiondd8d7stf44

Agent infrastructure for identity, memory, and web action.